{
  pkgs ? import <nixpkgs> { },
}:
with pkgs;
let
  vendoredDeps = stdenv.mkDerivation rec {
    name = "hugoVendoredDeps";

    src = ./.;

    nativeBuildInputs = [
      git
      go
      hugo
    ];

    buildPhase = ''
      hugo mod vendor
    '';

    installPhase = ''
      mkdir -p $out
      cp -r ./_vendor/* $out
    '';

    outputHashMode = "recursive";
    outputHashAlgo = "sha256";
    outputHash = "sha256-XW1XbDgoAb2CDgbRiCErxkQC47xHJBNgGbSWJg8XzeE=";
  };
in
stdenv.mkDerivation rec {
  name = "brokentech.cloud-${version}";
  version = "1.1.1";

  src = ./.;

  nativeBuildInputs = [
    go
    hugo
  ];

  buildPhase = ''
    ln -s ${vendoredDeps} _vendor
    hugo
  '';

  installPhase = ''
    mkdir -p $out
    cp -r ./public/* $out
  '';
}
